﻿'use strict';
(function () {
    //create the controller
    function umbExtendImportController($scope, $routeParams, $http) {
        //set a property on the scope equal to the current route id
        $scope.importOutput = "";
        $scope.showButton = true;

        $scope.runImport = function (importID) {
            console.log("I have called our REST API");
   
            // here is where we call our Import REST API
            // $scope.importOutput = "Run Successfully!"

            // $http.get('http://localhost:57601/App_Plugins/UmbExtend/jsontest.html').
            $scope.showButton = false;
            $scope.loading = true;
            $http.get('http://localhost:57601/Umbraco/Api/UmbExtendAPI/GetTestImportProducts').
            success(function (data) {
                $scope.importOutput = data.Results;
                $scope.loading = false;
            });
        }

    };
    //register the controller
    angular.module("umbraco").controller('UmbExtend.UmbExtendTree.ImportController', umbExtendImportController)

    // register the directive for the ajax spinner
    .directive('loading', function () {
        return {
            restrict: 'E',
            replace: true,
            template: '<div class="loading"><img src="/App_Plugins/UmbExtend/ajax-loader.gif" width="64" height="64" /> - PLEASE WAIT...</div>',
            link: function (scope, element, attr) {
                scope.$watch('loading', function (val) {
                    if (val)
                        $(element).show();
                    else
                        $(element).hide();
                });
            }
        }
    });
})();